If you need to downgrade Runtime Fabric version 2.x, you must downgrade the version by patching Runtime Fabric to a lower version.
-
RTFCTL
-
Helm
For Runtime Fabrics installed using rtfctl, use the following PATCH request to specify the agent version to be downgraded:
curl -X PATCH -H 'Authorization: Bearer xxx' -H 'Content-Type: application/json;charset=UTF-8' -H 'Accept: application/json, text/plain, */*' \
https://anypoint.mulesoft.com/runtimefabric/api/organizations/<org id>/fabrics/<rtf id> --data-binary '{"version":"x.x.x"}'
For Runtime Fabrics installed using Helm, use the following Helm command:
helm upgrade --install runtime-fabric rtf/rtf-agent -f values.yaml -n <rtf-namespace> --version x.x.x
If you use AM log forwarding, you must additionally perform the following steps:
-
Enable daemon-set log forwarding by calling the following API (bearer token required):
curl -X PATCH -H 'Authorization: Bearer <bearer-token-here>' -H 'Content-Type: application/json;charset=UTF-8' -H 'Accept: application/json, text/plain, */*' \ https://anypoint.mulesoft.com/runtimefabric/api/organizations/<orgId>/fabrics/<fabricId>/logforwarding/appScoped?enabled=false
-
Optionally, if am-log-forwarder daemon-set is not up and running, start the service by using either any of these options:
-
In the Anypoint Monitoring UI (RuntimeFabrics -→ Fabric -→ LogForwarding), check Show logs in Anypoint Monitoring.
-
or send an API request:
curl -X PATCH -H 'Authorization: Bearer <bearer-token-here>' -H 'Content-Type: application/json;charset=UTF-8' -H 'Accept: application/json, text/plain, */*' \ https://anypoint.mulesoft.com/runtimefabric/api/organizations/<orgId>/fabrics/<fabricId>/logforwarding -d '{"anypointMonitoring": true}' -
| Mule apps redeployed while Runtime Fabric agent version was 2.x must be redeployed to reduce the resource allocation per the downgraded rtf-agent version. |